Bug 1191498 - Review Request: safelease - Legacy locking utility for VDSM
Summary: Review Request: safelease - Legacy locking utility for VDSM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1131127 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 12:02 UTC by Yaniv Bronhaim
Modified: 2016-07-08 03:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-08 03:09:37 UTC
Type: Bug
dougsland: fedora-review+


Attachments (Terms of Use)

Description Yaniv Bronhaim 2015-02-11 12:02:23 UTC
Spec URL: http://bronhaim.fedorapeople.org/safelease.spec
SRPM URL: http://bronhaim.fedorapeople.org/safelease-1.0-3.fc21.src.rpm

Safelease is a legacy cluster lock utility used by VDSM. It is based on
the algorithm presented in the article "Light-Weight Leases for
Storage-Centric Coordination" by G Chockler and D Malkhi.

Comment 1 Yaniv Bronhaim 2015-02-11 12:02:43 UTC
*** Bug 1131127 has been marked as a duplicate of this bug. ***

Comment 2 Douglas Schilling Landgraf 2015-03-08 13:02:00 UTC
Hi Yaniv,

I see from fedora-review tool the following, could you please check:

Note: Upstream MD5sum check error, diff is in
  /home/fedora/1191498-safelease/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL


Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: aclocal.m4
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: compile
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: config.h.in
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: configure
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: depcomp
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: install-sh
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: Makefile.in
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0: missing
diff -U2 -r /home/fedora/1191498-safelease/upstream-unpacked/Source0/safelease-1.0/safelease.spec /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0/safelease.spec
--- /home/fedora/1191498-safelease/upstream-unpacked/Source0/safelease-1.0/safelease.spec	2014-12-15 16:53:04.000000000 -0200
+++ /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0/safelease.spec	2015-02-11 09:41:26.000000000 -0200
@@ -21,4 +21,5 @@
 %build
 ./autogen.sh
+
 %configure
 make %{?_smp_mflags}
@@ -36,5 +37,5 @@
 - Use autotools to build the project
 - Dropped unused python_ver global
-- Replaced the %libname macro with %name
+- Replaced the %%libname macro with %%name
 - Included the target directory /usr/lib/safelease in the RPM file list
 - Included a description of the package
Only in /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0/src: Makefile.in
diff -U2 -r /home/fedora/1191498-safelease/upstream-unpacked/Source0/safelease-1.0/src/safelease.c /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0/src/safelease.c
--- /home/fedora/1191498-safelease/upstream-unpacked/Source0/safelease-1.0/src/safelease.c	2014-12-15 16:53:04.000000000 -0200
+++ /home/fedora/1191498-safelease/srpm-unpacked/safelease-1.0.tar.gz-extract/safelease-1.0/src/safelease.c	2015-02-11 09:28:29.000000000 -0200
@@ -1,4 +1,4 @@
 /*
-    Copyright (C) 2014 Red Hat, Inc.
+    Copyright (C) 2008-2014 Red Hat, Inc.
 
     This program is free software: you can redistribute it and/or modify
@@ -409,5 +409,5 @@
     t[strlen(t)-1] = 0;
 
-    printf("%s: ID %-*s TS %0*llx (%s, %d usec)\n", 
+    printf("%s: ID %-*s TS %0*llx (%s, %d usec)\n",
         sameid(curr, freetag) ? "FREE" : "LOCKED",
         idlen, id, stamplen, ts, t, tusec);

Comment 3 Yaniv Bronhaim 2015-03-11 11:21:19 UTC
err i didn't notice - the path in Source0 was still pointed to vitor's repo. I modified it now.
Spec URL: http://bronhaim.fedorapeople.org/safelease.spec
SRPM URL: http://bronhaim.fedorapeople.org/safelease-1.0-3.fc21.src.rpm

please re-visit.

Comment 4 Douglas Schilling Landgraf 2015-03-13 12:10:02 UTC
Hi Yaniv,

Keep increasing the release/changelog for every change in the spec. Please also check the output of fedora-review tool.

$ fedora-review -b 1191498

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

<snip>

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).

<snip>

Rpmlint
-------
Checking: safelease-1.0-3.fc20.x86_64.rpm
          safelease-1.0-3.fc20.src.rpm
safelease.x86_64: W: invalid-url URL: http://www.ovirt.org/Safelease timed out
safelease.src: W: invalid-url URL: http://www.ovirt.org/Safelease timed out
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Thanks!

Comment 5 Yaniv Bronhaim 2015-04-05 14:06:08 UTC
Hi,
I checked the files and found that the tar.gz file which the spec refers to was out-of-date. I didn't change the spec or the src.rpm, only uploaded the right tar file to the specified path in spec - https://bronhaim.fedorapeople.org/%{name}-%{version}.tar.gz

Please re-run

Comment 6 Douglas Schilling Landgraf 2015-04-05 15:59:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/1191498-safelease/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: safelease-1.0-3.fc20.x86_64.rpm
          safelease-1.0-3.fc20.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint safelease
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
safelease (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
safelease:
    safelease
    safelease(x86-64)



Source checksums
----------------
https://bronhaim.fedorapeople.org/safelease-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6615d58bdaa8d7a54af806d6a3c2c763e303d5847abeb61901efc6dea1500e4e
  CHECKSUM(SHA256) upstream package : 6615d58bdaa8d7a54af806d6a3c2c763e303d5847abeb61901efc6dea1500e4e


Requires
--------
safelease (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
safelease:
    safelease
    safelease(x86-64)



Source checksums
----------------
https://bronhaim.fedorapeople.org/safelease-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 6615d58bdaa8d7a54af806d6a3c2c763e303d5847abeb61901efc6dea1500e4e
  CHECKSUM(SHA256) upstream package : 6615d58bdaa8d7a54af806d6a3c2c763e303d5847abeb61901efc6dea1500e4e


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1191498
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

APPROVED.

Comment 8 Douglas Schilling Landgraf 2015-04-05 22:21:13 UTC
(In reply to Michael Schwendt (Fedora Packager Sponsors Group) from comment #7)
> https://fedoraproject.org/wiki/Packaging:Guidelines#Licensing
> -> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Thanks Michael. Yaniv, please include the change into the spec.

Comment 9 Yaniv Bronhaim 2015-04-06 10:38:40 UTC
safelease.spec includes "License:    GPLv2+" statement in line 7

I don't see anything else required in term of "Licensing"

Comment 10 Douglas Schilling Landgraf 2015-04-06 12:14:46 UTC
(In reply to Yaniv Bronhaim from comment #9)
> safelease.spec includes "License:    GPLv2+" statement in line 7
> 
> I don't see anything else required in term of "Licensing"

It's about %license Yaniv.

Comment 11 Yaniv Bronhaim 2015-04-12 14:17:41 UTC
Added %license macro usage to spec:

Spec URL: http://bronhaim.fedorapeople.org/safelease.spec
SRPM URL: http://bronhaim.fedorapeople.org/safelease-1.0-4.fc21.src.rpm

Comment 12 Douglas Schilling Landgraf 2015-04-22 23:27:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/fedora/1191498-safelease/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: safelease-1.0-4.fc21.x86_64.rpm
          safelease-1.0-4.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


# rpmlint safelease
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Requires
--------
safelease (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
safelease:
    safelease
    safelease(x86-64)



Source checksums
----------------
https://bronhaim.fedorapeople.org/safelease-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : ad438ac3cc0e5dcaf140b6d2665da5a52ee70135d741dec226a5c3fa051b99a8
  CHECKSUM(SHA256) upstream package : ad438ac3cc0e5dcaf140b6d2665da5a52ee70135d741dec226a5c3fa051b99a8

APPROVED.

Comment 13 Yaniv Bronhaim 2015-04-27 11:48:17 UTC
New Package SCM Request
=======================
Package Name: safelease
Short Description: Safelease is a legacy cluster lock utility used by VDSM. It is based on the algorithm presented in the article "Light-Weight Leases for                 
Storage-Centric Coordination" by G Chockler and D Malkhi.
Owners: bronhaim, dougsland, danken, ykaplan
Branches: el7, f20, f21, f22
InitialCC: bronhaim@gmail.com

Comment 14 Michael Schwendt 2015-04-28 19:58:09 UTC
"Short Description" is supposed to be the %summary, or else it will lead to rejecting the request:
https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages


New Package SCM Request
=======================
Package Name: safelease
Short Description: Legacy locking utility for VDSM
Owners: bronhaim, dougsland, danken, ykaplan
Branches: el7, f20, f21, f22
InitialCC: bronhaim@gmail.com

Comment 15 Gwyn Ciesla 2015-04-28 20:02:28 UTC
ykaplan is not in the Packager group.

Comment 16 Fedora Update System 2015-04-29 06:45:22 UTC
safelease-1.0-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/safelease-1.0-4.el7

Comment 17 Fedora Update System 2015-04-29 08:41:08 UTC
safelease-1.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/safelease-1.0-4.fc20

Comment 18 Fedora Update System 2015-04-29 08:53:44 UTC
safelease-1.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/safelease-1.0-4.fc21

Comment 19 Fedora Update System 2015-05-11 23:52:34 UTC
safelease-1.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 20 Fedora Update System 2015-05-12 20:36:46 UTC
safelease-1.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 21 Fedora Update System 2015-05-12 20:38:31 UTC
safelease-1.0-4.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.